Bug 924442 - please patch spec file to enable newer versions of acpixtract to be made available
please patch spec file to enable newer versions of acpixtract to be made avai...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pmtools (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 904843
  Show dependency treegraph
 
Reported: 2013-03-21 15:22 EDT by Al Stone
Modified: 2015-01-04 17:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 19:54:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for spec file to add alternatives usage (1.56 KB, patch)
2013-03-21 15:22 EDT, Al Stone
no flags Details | Diff

  None (edit)
Description Al Stone 2013-03-21 15:22:06 EDT
Created attachment 714055 [details]
patch for spec file to add alternatives usage

Description of problem:
This package provides a very, very old version of acpixtract (2010 vintage)
while much newer versions are available (2013-02-14, to be precise).  At the
same time, the acpidump command provided appears nowhere else.

If this package would use the alternatives mechanism for acpixtract, both
both versions could be easily provided.  A patch is provided to do so.

Version-Release number of selected component (if applicable):
All current versions.

How reproducible:
100%

Steps to Reproduce:
1.  Install pmtools
2.  Install a version of the proposed acpica-tools package (see BZ#904843)
  
Actual results:
There will be a /usr/sbin/acpixtract and a /usr/bin/acpixtract (that is
actually linked to /usr/bin/acpixtract-acpica as an alternative).


Expected results:
One /usr/bin/acpixtract that can provide either acpixtract-pmtools or
acpixtract-acpica as an alternative.

Additional info:
It is possible that this package is dead upstream, or that it is not
seriously maintained upstream -- thus the age of the binaries provided.
However, acpidump as provided by this package seems to have no upstream
alternative so making this package go away does not seem practical.  Ergo,
making the acpixtract binary use the alternatives system seems to be the
way to go.
Comment 1 Fedora End Of Life 2013-12-21 07:21:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 15:10:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Christopher Meng 2014-02-05 19:54:25 EST
This package has been obsoleted by acpica-tools.

Note You need to log in before you can comment on or make changes to this bug.